Package org.apache.batchee.tools.maven.doc

## Class ComponentDocumentationGenerator

- java.lang.Object
- - org.apache.batchee.tools.maven.doc.ComponentDocumentationGenerator

-     public abstract class ComponentDocumentationGenerator
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComponentDocumentationGenerator.ClassDoc` |
    `static class` | `ComponentDocumentationGenerator.FieldDoc` |
    `static interface` | `ComponentDocumentationGenerator.Formatter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected File` | `classes` |
    `protected String` | `formatter` |
    `protected File` | `output` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ComponentDocumentationGenerator​(File classes, File output, String formatter)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |
    `static void` | `main​(String[] args)` |
    `protected abstract void` | `warn​(String s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classes

          protected final File classes

    - #### output

          protected final File output

    - #### formatter

          protected final String formatter

  - ### Constructor Detail

    - #### ComponentDocumentationGenerator

          protected ComponentDocumentationGenerator​(File classes,
                                                    File output,
                                                    String formatter)

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### execute

          public void execute()

    - #### warn

          protected abstract void warn​(String s)